# Class AclParser

java.lang.Object
org.apache.zookeeper.cli.AclParser

public class AclParser extends Object
a parser for ACL strings

## Constructor Summary

Constructors
Constructor
Description
`AclParser()`

## Method Summary

Modifier and Type
Method
Description
`static List<ACL>`
`parse(String aclString)`
parse string into list of ACL

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AclParser

public AclParser()

## Method Details

### parse

public static List<ACL> parse(String aclString)
parse string into list of ACL

Parameters:
  `aclString` -
Returns:
  list of ACL